Update dropdown options
curl --request PATCH \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-properties/{property_id}/options/{option_id}/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"is_default": true,
"is_active": true,
"parent": "<string>"
}
'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-properties/{property_id}/options/{option_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"is_default": True,
"is_active": True,
"parent": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
is_default: true,
is_active: true,
parent: '<string>'
})
};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-properties/{property_id}/options/{option_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom Property Dropdown Options
Update dropdown options
Lets you modify existing options within a dropdown property.
PATCH
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
projects
/
{project_id}
/
work-item-properties
/
{property_id}
/
options
/
{option_id}
/
Update dropdown options
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier of the project.
string
required
The unique identifier for the custom property.
string
required
The unique identifier for the option.
Body parameter
string
required
Name of the option.
string
Description of the option.
boolean
Whether this is the default option for the property.
boolean
Whether this option is currently active.
string
⌘I

